i2p.susi.webmail

## Enum MailCache.FetchMode

- java.lang.Object
- - java.lang.Enum<MailCache.FetchMode>
  - - i2p.susi.webmail.MailCache.FetchMode

- All Implemented Interfaces:
    Serializable, Comparable<MailCache.FetchMode>
  Enclosing class:
    MailCache

      public static enum MailCache.FetchMode
      extends Enum<MailCache.FetchMode>

  Enumeration of email fetching strategies.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `CACHE_ONLY`
    `HEADER`
    `HEADER_CACHE_ONLY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MailCache.FetchMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MailCache.FetchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final MailCache.FetchMode ALL

    - #### CACHE_ONLY

          public static final MailCache.FetchMode CACHE_ONLY

    - #### HEADER

          public static final MailCache.FetchMode HEADER

    - #### HEADER_CACHE_ONLY

          public static final MailCache.FetchMode HEADER_CACHE_ONLY

  - ### Method Detail

    - #### valueOf

          public static MailCache.FetchMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static MailCache.FetchMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MailCache.FetchMode c : MailCache.FetchMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared